Name:           logcheck
Version:        1.3.18
Release:    1%{?dist}
Summary:        Analyzes log files and sends noticeable events as email

License:        GPLv2
URL:            http://logcheck.org/
Source0:        http://http.debian.net/debian/pool/main/l/%{name}/%{name}_%{version}.tar.xz
Source1:        logchk-systemd-ignore
Source2:        logchk-NetworkManager-ignore
Source3:        logchk-dbus-ignore
Patch0:         logcheck-dhclient.patch
BuildArch:      noarch

Requires:       lockfile-progs
Requires:       perl-mime-construct
Requires:       crontabs
Requires(pre):  shadow-utils
BuildRequires:  docbook-utils
BuildRequires:  perl-generators
BuildRequires:  systemd
BuildRequires: make

%description
Logcheck is a simple utility which is designed to allow a system administrator 
to view the log-files which are produced upon hosts under their control.

It does this by mailing summaries of the log-files to them, after first
filtering out "normal" entries.

Normal entries are entries which match one of the many included regular
expression files contain in the database.

%prep
%setup -q

sed -i "s/syslog/messages/" etc/logcheck.logfiles
sed -i "s/auth\.log/secure/" etc/logcheck.logfiles

echo "d /var/lock/logcheck 1700 logcheck logcheck 1d" > etc/tmpfiles.d-logcheck
%build


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_sysconfdir}/%{name}/violations.d/logcheck

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man8
%{__install} -pm 644 docs/logtail.8 %{buildroot}%{_mandir}/man8/
%{__install} -pm 644 docs/logtail2.8 %{buildroot}%{_mandir}/man8/
docbook2man -o %{buildroot}%{_mandir}/man8/ docs/logcheck.sgml
mv %{buildroot}%{_mandir}/man8/Logcheck.8 %{buildroot}%{_mandir}/man8/%{name}.8

rm -f %{buildroot}%{_mandir}/man8/manpage.*

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man1
%{__install} -pm 644 docs/logcheck-test.1 %{buildroot}%{_mandir}/man1/
%{__install} -pm 644 docs/logtail2.8 %{buildroot}%{_mandir}/man8/

%{__mkdir} -pm 755 %{buildroot}%{_sysconfdir}/cron.d
%{__install} -pm 644 debian/%{name}.cron.d %{buildroot}%{_sysconfdir}/cron.d/%{name}

%{__mkdir} -pm 755 %{buildroot}%{_localstatedir}/lock/%{name}
%{__mkdir} -pm 644 %{buildroot}%{_sharedstatedir}/%{name}

%{__mkdir} -pm 755 %{buildroot}%{_tmpfilesdir}
%{__install} -pm 644 etc/tmpfiles.d-logcheck %{buildroot}%{_tmpfilesdir}/%{name}.conf

%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/ignore.d.server/systemd
%{__install} -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/ignore.d.server/NetworkManager
%{__install} -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/ignore.d.server/dbus
%pre
getent group logcheck >/dev/null || groupadd -r logcheck
getent passwd logcheck >/dev/null || \
    useradd -r -g logcheck -G adm -d /var/lib/logcheck -s /sbin/nologin \
            -c "Logcheck user" logcheck && \
    mkdir /var/lock/logcheck && chown logcheck:logcheck /var/lock/logcheck && \
    mkdir /var/lib/logcheck && chown logcheck:logcheck /var/lib/logcheck && \
    [ -x /sbin/restorecon ] && /sbin/restorecon /var/lock/logcheck /var/lib/logcheck
exit 0

%files
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/logcheck.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/logcheck.logfiles
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/cracking.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/cracking.d/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.workstation/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.workstation/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.server/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.server/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/ignore.d.paranoid/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ignore.d.paranoid/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/violations.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/violations.d/*
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}/violations.ignore.d/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/violations.ignore.d/*
%config(noreplace) %{_sysconfdir}/cron.d/*
%{_bindir}/logcheck-test
%{_sbindir}/*
%{_datadir}/logtail/
%{_mandir}/man?/*
%ghost %{_localstatedir}/lock/%{name}
%ghost %{_sharedstatedir}/%{name}
%{_tmpfilesdir}/%{name}.conf
%doc docs/*
%license LICENSE


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.18-1
- initial build
